<template>
  <form @submit.prevent="submit">
    <input type="text" placeholder="email" v-model="email">
    <input type="password" placeholder="password" v-model="password">
    
    <button type="submit">Login</button>
  </form>
</template>

<script>
import { useUserStore } from "@/stores/user";
const user = useUserStore();

export default {
  name: 'LoginForm',
  data() {
    return {
      email: 'test@test.test',
      password: '12345678'
    }
  },
  methods: {
    submit() {
      user.loginUser(this.email, this.password)

      this.email = ''
      this.password = ''
    }
  }
}
</script>
